#!/bin/bash

# Take all variables in .env and turn them into local variables for this script
source ~/.env

BACKUPDIR="/home/mab/databaseBackupSolidScribe"

mkdir -p $BACKUPDIR
cd $BACKUPDIR

NOW=$(date +"%Y-%m-%d_%H-%M")
ssh mab@solidscribe.com -p 13328 "mysqldump --all-databases --single-transaction --user root -p$PROD_DB_PASS" > "backup-$NOW.sql"
gzip "backup-$NOW.sql"

# cp "backup-$NOW.sql" "/mnt/Windows Data/DatabaseBackups/backup-$NOW.sql"

echo "Database Backup Complete on $NOW"

## 
# Restore DB
##

# copy file over, run restore
# scp -P 13328 backup-2019-12-04_03-00.sql mab@avidhabit.com:/home/mab
# mysql -u root -p < backup-2019-12-04_03-00.sql

##
# Crontab setup
##

# 0 2 * * * /bin/bash /home/mab/ss/backupDatabase.sh 1> /home/mab/databaseBackupLog.txt
